QGIS 2.4 compatible with Ubuntu 14.10

Of lately, I do not have the time to tinker with QGIS but just gave it a try and am very happy to note that QGIS 2.4 is compatible with Ubuntu 14.10 where my reference test is for QGIS to be able to activate Google Hybrid and it does so smoothly. For those of you who know me know that I'm a Ubuntu geek and can understand why the Ubuntu QGIS is more important to me than the Windows version. Got to go!